# IDEA shortcuts: 
Command | Explanation
--------| ----------
`Strg + n` | navigate to class
alt + Shift + f10 | Select which file to run / debug
alt + Enter | import packgages
alt + einfg | add constructor / Getter / Setter 
Shift + f10 | Run project
double clicking shift | search everywhere 
alt + f7 | find usage
strg + q | quick documentation, see info for parameters (strg + p)
Strg + b | navigate to interface implementation
Strg + Shift + Ruecktaste | go back to last code change
Strg + d | duplicate selected block, line if no block selected 
Strg + shift + d | Move textblock with arrow keys
Strg + alt + l | Reformat file
Strg + Shift + a | type split and the screen will split into different windows
Strg + p | see valid parameters
Shift + Esc | Hide console
Alt arrow up / down | switch between methods
Strg + Shift + v | choose from past clipboard content what to paste
Strg + f12 | quickly navigate through edited file
Strg + i | implement interface
Click on Proj. | Start typing in the project window and quickly find class
Strg + Shift + u | select text block
Strg + o | Override base class method
